From 82b80684fb9741554384711b1d878f795b1c7aec Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@gmail.com>
Date: Jun 26 2024 00:58:25 +0000
Subject: [PATCH 199/220] Use wildcards for redundant icon includes


This allows us to shorten the specs a little bit :p

Signed-off-by: Ryan Brue <ryanbrue@gmail.com>

---

diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 4a496ef..71bd965 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -116,13 +116,7 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicEd
 %{_bindir}/cosmic-edit
 %{_datadir}/applications/com.system76.CosmicEdit.desktop
 %{_metainfodir}/com.system76.CosmicEdit.metainfo.xml
-%{_datadir}/icons/hicolor/128x128/apps/com.system76.CosmicEdit.svg
-%{_datadir}/icons/hicolor/16x16/apps/com.system76.CosmicEdit.svg
-%{_datadir}/icons/hicolor/24x24/apps/com.system76.CosmicEdit.svg
-%{_datadir}/icons/hicolor/256x256/apps/com.system76.CosmicEdit.svg
-%{_datadir}/icons/hicolor/32x32/apps/com.system76.CosmicEdit.svg
-%{_datadir}/icons/hicolor/48x48/apps/com.system76.CosmicEdit.svg
-%{_datadir}/icons/hicolor/64x64/apps/com.system76.CosmicEdit.svg
+%{_datadir}/icons/hicolor/*/apps/com.system76.CosmicEdit.svg
 
 %changelog
 %autochangelog
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 4312622..86ae2a2 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -118,13 +118,7 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicFi
 %{_bindir}/cosmic-files
 %{_datadir}/applications/com.system76.CosmicFiles.desktop
 %{_metainfodir}/com.system76.CosmicFiles.metainfo.xml
-%{_datadir}/icons/hicolor/128x128/apps/com.system76.CosmicFiles.svg
-%{_datadir}/icons/hicolor/16x16/apps/com.system76.CosmicFiles.svg
-%{_datadir}/icons/hicolor/24x24/apps/com.system76.CosmicFiles.svg
-%{_datadir}/icons/hicolor/256x256/apps/com.system76.CosmicFiles.svg
-%{_datadir}/icons/hicolor/32x32/apps/com.system76.CosmicFiles.svg
-%{_datadir}/icons/hicolor/48x48/apps/com.system76.CosmicFiles.svg
-%{_datadir}/icons/hicolor/64x64/apps/com.system76.CosmicFiles.svg
+%{_datadir}/icons/hicolor/*/apps/com.system76.CosmicFiles.svg
 
 %changelog
 %autochangelog
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index e534366..1446697 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -114,13 +114,7 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicSt
 %{_bindir}/cosmic-store
 %{_datadir}/applications/com.system76.CosmicStore.desktop
 %{_metainfodir}/com.system76.CosmicStore.metainfo.xml
-%{_datadir}/icons/hicolor/128x128/apps/com.system76.CosmicStore.svg
-%{_datadir}/icons/hicolor/16x16/apps/com.system76.CosmicStore.svg
-%{_datadir}/icons/hicolor/24x24/apps/com.system76.CosmicStore.svg
-%{_datadir}/icons/hicolor/256x256/apps/com.system76.CosmicStore.svg
-%{_datadir}/icons/hicolor/32x32/apps/com.system76.CosmicStore.svg
-%{_datadir}/icons/hicolor/48x48/apps/com.system76.CosmicStore.svg
-%{_datadir}/icons/hicolor/64x64/apps/com.system76.CosmicStore.svg
+%{_datadir}/icons/hicolor/*/apps/com.system76.CosmicStore.svg
 
 %changelog
 %autochangelog
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 45245f2..bd092bd 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -115,13 +115,7 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicTe
 %{_bindir}/cosmic-term
 %{_datadir}/applications/com.system76.CosmicTerm.desktop
 %{_metainfodir}/com.system76.CosmicTerm.metainfo.xml
-%{_datadir}/icons/hicolor/128x128/apps/com.system76.CosmicTerm.svg
-%{_datadir}/icons/hicolor/16x16/apps/com.system76.CosmicTerm.svg
-%{_datadir}/icons/hicolor/24x24/apps/com.system76.CosmicTerm.svg
-%{_datadir}/icons/hicolor/256x256/apps/com.system76.CosmicTerm.svg
-%{_datadir}/icons/hicolor/32x32/apps/com.system76.CosmicTerm.svg
-%{_datadir}/icons/hicolor/48x48/apps/com.system76.CosmicTerm.svg
-%{_datadir}/icons/hicolor/64x64/apps/com.system76.CosmicTerm.svg
+%{_datadir}/icons/hicolor/*/apps/com.system76.CosmicTerm.svg
 
 %changelog
 %autochangelog

